Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Layout Beschriftungsmaßstab (nicht im Ansichtsfenster)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layout Beschriftungsmaßstab (nicht im Ansichtsfenster) (924 mal gelesen)
cadking
Mitglied
CAD-Zeichendiensleistung


Sehen Sie sich das Profil von cadking an!   Senden Sie eine Private Message an cadking  Schreiben Sie einen Gästebucheintrag für cadking

Beiträge: 189
Registriert: 26.10.2004

Intel Quadcore i7,W7-64bit, Quadro FX 3800
MEP/ACA2012; MEP/ACA2015; MEP/ACA2018; Architectural Office 2009

erstellt am: 31. Jul. 2017 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


LayoutBeschriftungsmasstab_2.JPG

 
Hallo Leute,
ich habe ein Problem in AutoCAD 2012 mit dem Beschriftungsmaßstab.
Ich habe eine Host-Zeichnung in der Xrefs enthalten sind, die jede Menge Beschriftungsmaßstäbe in meine Host-Zeichnung einfügen (1:1000_1 1:1000_2 ....)
Die Host-Zeichnung enthält 80 Layouts. Den Layouts (nicht den Ansichtsfenstern im Layout) sind die Beschriftungsmaßstäbe der Xrefs zugeordnet und zwar jedem Layout ein anderer Beschriftungsmaßstab. Die Beschriftungsmaßstäbe der Layouts lassen sich nicht ändern (sind in der Eigenschaftsdialogbox grau hinterlegt.
Somit kann ich die Beschriftungsmaßstäbe nicht bereinigen.
Wie kann ich den Beschriftungsmaßstab, der dem Layout selbst zugeordnet ist, ändern? damit ich die nicht benötigten Beschriftungsmaßstäbe bereinigen kann?

ich hoffe auf eure Hilfe
Gruß Stefan

------------------
Danke Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19328
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 31. Jul. 2017 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadking 10 Unities + Antwort hilfreich

Ohne Programmierung wäre es der Weg:
Befehl: FILTER
nach allen Ansichtsfenstern suchen welche nicht auf Layer XXX liegen (in der Hoffnung du hast deine Ansichtsfenster auf einem extra Layer liegen (hier XXX genannt),
damit werden die Systemansichtsfenster für die Layouts gewählt.
Für die Objektwahl nach Einstellung des Filters dann bitte Objektewahl ALLE nutzen (eintippen und bestätigen).

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadking
Mitglied
CAD-Zeichendiensleistung


Sehen Sie sich das Profil von cadking an!   Senden Sie eine Private Message an cadking  Schreiben Sie einen Gästebucheintrag für cadking

Beiträge: 189
Registriert: 26.10.2004

Intel Quadcore i7,W7-64bit, Quadro FX 3800
MEP/ACA2012; MEP/ACA2015; MEP/ACA2018; Architectural Office 2009

erstellt am: 31. Jul. 2017 12:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo caddffm,
vielen Dank für deine kompetente Antwort. Funktioniert super.
Da ich die Zeichnungen nicht selbst erstellt habe kann ich nicht dafür garantieren das alle Ansichtsfenster auf einem separaten Layer liegen.
1. Frage: liegen die Systemansichtsfenster immer auf layer 0?
2. Frage: kann man Systemansichtsfenster in Lisp mit ssget auswählen?

------------------
Danke Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19328
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 31. Jul. 2017 12:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadking 10 Unities + Antwort hilfreich

1. "Ursprünglich JA, sollte" Aber wie du selbst siehst ist der Layer frei wählbar..

2. Natürlich, Gruppencode 69=1
  (if (setq ss (ssget "_X" '((0 . "VIEWPORT")(69 . 1))))(sssetfirst nil ss)(princ "\nKein Layout initialisiert"))

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadking
Mitglied
CAD-Zeichendiensleistung


Sehen Sie sich das Profil von cadking an!   Senden Sie eine Private Message an cadking  Schreiben Sie einen Gästebucheintrag für cadking

Beiträge: 189
Registriert: 26.10.2004

Intel Quadcore i7,W7-64bit, Quadro FX 3800
MEP/ACA2012; MEP/ACA2015; MEP/ACA2018; Architectural Office 2009

erstellt am: 31. Jul. 2017 13:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo cadffm,
bekomme ich mit
(if (setq ss (ssget "_X" '((0 . "VIEWPORT")(69 . 1))))(sssetfirst nil ss)(princ "\nKein Layout initialisiert"))
immer nur das Systemansichtsfenster des aktuellen Layouts?
Kann ich auch den Beschriftungsmaßstab, wenn ich mehrer Layouts habe, für alle Systemansichtsfenster auf einmal ändern?

------------------
Danke Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19328
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 31. Jul. 2017 13:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadking 10 Unities + Antwort hilfreich

Warum nicht einfach testen, dauert ebenso lange wie hier zu fragen, die Lösung ist jedoch viel schneller vor Augen beim eigenen Test.

1.Nein
2.Ja

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadking
Mitglied
CAD-Zeichendiensleistung


Sehen Sie sich das Profil von cadking an!   Senden Sie eine Private Message an cadking  Schreiben Sie einen Gästebucheintrag für cadking

Beiträge: 189
Registriert: 26.10.2004

Intel Quadcore i7,W7-64bit, Quadro FX 3800
MEP/ACA2012; MEP/ACA2015; MEP/ACA2018; Architectural Office 2009

erstellt am: 31. Jul. 2017 14:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo cadffm,
ich habe versucht es zu testen, blicke aber nicht ganz durch. Wenn ich 80 Layouts habe müsste doch in der Eigenschaftsdialogbox stehen:
Ansichtsfenster (80)
Um alle Systemansichtfenster auswählen zu können muss ich erst einmal jedes Layout aktuell setzen? und nach dem 80sten Layout kann ich erst alle Systemansichtfenster mit
(if (setq ss (ssget "_X" '((0 . "VIEWPORT")(69 . 1))))(sssetfirst nil ss)(princ "\nKein Layout initialisiert"))
ändern?

------------------
Danke Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19328
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 31. Jul. 2017 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadking 10 Unities + Antwort hilfreich

Wie gesagt, warum nicht einfach mal TESTEN?
Gebe die Zeile ein, alle SystemAnsichtsfenster (Layout) werden gewählt.

Wenn ein Layout schon mal aktiv war, dann existiert auch dieses Objekt dazu.

Das "_x" in ssget durchsucht über alle Layouts (und Modell) hinweg.
Und das Eigenschaftenfenster (was ein User zum ändern nutzen würde) funktioniert auch über alle hinweg.

Aber vielleicht beschreibst du einfach mal Probleme wenn sie da sind.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19328
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 31. Jul. 2017 14:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadking 10 Unities + Antwort hilfreich

Nachtrag:
80=80 wäre der Fall wenn jedes Layout in der Datei einmal aktiv WAR.

Um das sicher zu stellen könnte man 'ganz plump' alle Layouts einmal aktuell setzen:
(progn (setq oct (getvar "CTAB"))(foreach L (Layoutlist)(setvar "CTAB" L))(setvar "CTAB" oct))

 

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadking
Mitglied
CAD-Zeichendiensleistung


Sehen Sie sich das Profil von cadking an!   Senden Sie eine Private Message an cadking  Schreiben Sie einen Gästebucheintrag für cadking

Beiträge: 189
Registriert: 26.10.2004

Intel Quadcore i7,W7-64bit, Quadro FX 3800
MEP/ACA2012; MEP/ACA2015; MEP/ACA2018; Architectural Office 2009

erstellt am: 31. Jul. 2017 15:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo cadffm,
vielen Dank für deine Hilfe. Deine Variante mit dem aktiv-setzen eines jeden Layouts hat mir weitergeholfen.

------------------
Danke Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadking
Mitglied
CAD-Zeichendiensleistung


Sehen Sie sich das Profil von cadking an!   Senden Sie eine Private Message an cadking  Schreiben Sie einen Gästebucheintrag für cadking

Beiträge: 189
Registriert: 26.10.2004

Intel Quadcore i7,W7-64bit, Quadro FX 3800
MEP/ACA2012; MEP/ACA2015; MEP/ACA2018; Architectural Office 2009

erstellt am: 17. Sep. 2019 12:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

für alle die es noch interessiert, hier eine Lösungslisp von Meldin:
in Zeile 6 kann die Abfrage (setq SucheMaßstab (getstring "gewünschten Maßstab für Layout eingeben: Eingabeform: 1:1000 ")) natürlich auch auf einen festen Wert eingestellt werden z.B. 1:1000
(setq SucheMaßstab "1:1000")

Code:
;|begin rem
Ändert den Beschriftungsmaßstab aller Layouts (Papierbereich-Ansichtsfenster)
|;end rem
(defun SetSystemAnsichtsfensterAlleBesmastab ( / AktTab VP-Layout SucheMaßstab SucheMaßstabHandent Maßstäbe ENTScale VP-Layout-Object VP-Layout-Dictionary VP-Layout-XRecord Datensafearray NeueVP-Werte)
(print "Ändert den Beschriftungsmaßstab aller Layouts (Papierbereich-Ansichtsfenster)")(terpri)
(setq SucheMaßstab (getstring "gewünschten Maßstab für Layout eingeben: Eingabeform: 1:1000 "))
(setq AktTab (getvar "ctab"))
(foreach teil (layoutlist)
  (progn
    (setvar "ctab" teil)
    (setvar "tilemode" 0)
    (setq VP-Layout (ssname (ssget "X"
  (list (cons 0 "viewport")
(cons 410 teil)
(cons 69 1)
  )
    )
    0
    )
    )
    (setq SucheMaßstabHandent nil)
    (if
      (and (setq Maßstäbe (dictsearch (namedobjdict) "ACAD_SCALELIST"))
  (setq Maßstäbe
  (vl-remove-if-not '(lambda (x) (= (car X) 350)) Maßstäbe)
  )
      )
      (progn
(foreach teil Maßstäbe
  (if (= SucheMaßstab (cdr (assoc 300 (entget (cdr teil)))))
    (setq SucheMaßstabHandent
    (cdr (assoc 5 (entget (cdr teil))))
    )
  )
  (if SucheMaßstabHandent
    (foreach teil Maßstäbe
      (setq ENTScale (entget (cdr teil)))
      (setq ENTScale (subst (cons 290 0)
    (assoc 290 ENTScale)
    ENTScale
      )
      )
    )
  )
)
      )
    )
    (setq VP-Layout-Object (vlax-ename->vla-object VP-Layout))
    (setq VP-Layout-Dictionary
  (vla-GetExtensionDictionary VP-Layout-Object)
    )
    (setq VP-Layout-XRecord
  (vl-catch-all-apply
    'vla-item
    (list VP-Layout-Dictionary
  "ASDK_XREC_ANNOTATION_SCALE_INFO"
    )
  )
    )
    (if (vl-catch-all-error-p VP-Layout-XRecord)
      (progn
(setq VP-Layout-XRecord
      (vla-AddXrecord
VP-Layout-Dictionary
"ASDK_XREC_ANNOTATION_SCALE_INFO"
      )
)
(setq Datensafearray
      (vlax-make-variant
(vlax-safearray-fill
  (vlax-make-safearray
    vlax-vbInteger
    '(0 . 1)
  )
  '(90 340)
)
      )
)
(setq NeueVP-Werte
      (vlax-make-variant
(vlax-safearray-fill
  (vlax-make-safearray vlax-vbVariant '(0 . 1))
  (list 1 SucheMaßstabHandent)
)
      )
)
(vla-SetXrecordData
  VP-Layout-XRecord
  Datensafearray
  NeueVP-Werte
)
      )
      (progn
(vla-GetXrecordData
  VP-Layout-XRecord
  'Datensafearray
  'NeueVP-Werte
)
(vlax-safearray-put-element
  NeueVP-Werte
  1
  SucheMaßstabHandent
)
(vla-SetXrecordData
  VP-Layout-XRecord
  Datensafearray
  NeueVP-Werte
)
      )
    )
  )
)
(setvar "ctab" AktTab)
)
;---------
(SetSystemAnsichtsfensterAlleBesmastab)

------------------
Danke Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz